Bug 85641 - Radeon driver fails on Fire GL E1
Radeon driver fails on Fire GL E1
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-05 08:20 EST by Andrew Gormanly
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-08 11:04:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XF86Config with radeon driver (2.83 KB, text/plain)
2003-03-07 08:06 EST, Andrew Gormanly
no flags Details
XFree86.0.log (16.20 KB, text/plain)
2003-03-07 08:06 EST, Andrew Gormanly
no flags Details

  None (edit)
Description Andrew Gormanly 2003-03-05 08:20:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
The XFree86 radeon driver fails on this card.  VESA works.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Set up X with radeon driver with this card/monitor combo
2.
3.
    

Actual Results:  No X

Expected Results:  X

Additional info:

System is a Dell Precision 650 with a Dell P992 monitor.

From the XFree86.setup.log:

XFree86 Version 4.2.0 (Red Hat Linux release: 4.2.0-72) / X Window System
(protocol Version 11, revision 0, vendor release 6600)
Release Date: 23 January 2002
        If the server is older than 6-12 months, or if your card is
        newer than the above date, look for a newer version before
        reporting problems.  (See http://www.XFree86.Org/)
Build Operating System: Linux 2.4.18-11smp i686 [ELF] 
Build Host: daffy.perf.redhat.com
 
Module Loader present
OS Kernel: Linux version 2.4.18-14smp (bhcompile@stripples.devel.redhat.com)
(gcc version 3.2 20020903 (Red Hat Linux 8.0 3.2-7)) #1 SMP Wed Sep 4 12:34:47
EDT 2002 
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(++) Log file: "/dev/null", Time: Tue Mar  4 17:51:16 2003
(++) Using config file: "/tmp/@3158.0xf86config"
(EE) No devices detected.

Fatal server error:
no screens found


Using VESA, X gives the following about the hardware:

(II) VESA(0): VESA BIOS detected
(II) VESA(0): VESA VBE Version 2.0
(II) VESA(0): VESA VBE Total Mem: 65536 kB
(II) VESA(0): VESA VBE OEM: ATI Fire GL E1
(II) VESA(0): VESA VBE OEM Software Rev: 1.0
(II) VESA(0): VESA VBE OEM Vendor: ATI Technologies Inc.
(II) VESA(0): VESA VBE OEM Product: R200
(II) VESA(0): VESA VBE OEM Product Rev: 01.00

[...]

(II) VESA(0): Ranges: V min: 48  V max: 170 Hz, H min: 30  H max: 107 kHz,
PixClock max 240 MHz
(II) VESA(0): Monitor name: DELL P992

I can provide more info if it would be useful.
Comment 1 Mike A. Harris 2003-03-06 14:54:56 EST
I'm not familiar with FireGL E1, but I presume it is an R300 chip, in which
case it wouldn't have existed when XFree86 4.2.0 was released, nor when
Red Hat Linux 8.0 was released, so it is most likely unsupported.  That's
the bad news.  Now the good news....

If I can determine if the chip is similar enough to existing supported
cards, I might be able to arrange to have it supported in our next erratum
releases.  R300 chips are supported in our phoebe beta, but I'm considering
backporting this to 4.2.0 for erratum as well.  In theory I can sneak in
support for this chip if we can get it to work.

Please attach your X server log and config file using the "radeon" driver.
Using the links below, attach uncompressed individual files as MIMEtype
text/plain.

Thanks.
Comment 2 Andrew Gormanly 2003-03-07 08:06:28 EST
Created attachment 90508 [details]
XF86Config with radeon driver

I used the "Radeon (generic)" setting in redhat-config-xfree86
Comment 3 Andrew Gormanly 2003-03-07 08:06:59 EST
Created attachment 90509 [details]
XFree86.0.log
Comment 4 Andrew Gormanly 2003-03-07 08:07:47 EST
Thanks.  The files have been uploaded.

I'm not sure whether this is a R300 - lspci give the following:
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R200 QH [Radeon
8500] (rev 80)

If it helps, ATI's specs state this card has an 8800LE chip:
http://www.ati.com/products/workstation/firegle1/specs.html
Comment 5 Mike A. Harris 2003-03-07 08:29:19 EST
This card should work 2D/3D in Red hat Linux phoebe beta.
Comment 6 Andrew Gormanly 2003-03-07 08:35:54 EST
That's good news.  It's a production machine, so I'm not able to try out the
beta, but I'll look forward to the release.  You mentioned a 4.2.0 erratum: will
the card work with this when ity comes out?
Comment 7 Mike A. Harris 2003-03-07 08:42:01 EST
There will be 4.2.1 erratum for Red Hat Linux 8.0 in the near future.  I
am hoping to be able to add support to 4.2.1 for various ATI Radeon and
Fire GL hardware, however it will be 2D only support.  3D requires
XFree86 4.3.0, and it is not possible to backport that amount of
functionality unfortunately.

Are you interested in testing 4.2.1 packages if I manage to get support
for this card into them, prior to official release?
Comment 8 Andrew Gormanly 2003-03-07 08:59:46 EST
Absolutely.  I'm hoping it's a limitation of the vesa driver rather than the
monitor support that's keeping me at 1280x1024 - do you know whether this is true?
Comment 9 Mike A. Harris 2003-03-14 19:06:15 EST
Actually, it is the video card BIOS that determines what video modes
are available.  The "vesa" driver is just a dumb do-nothing driver that
interfaces with the video card BIOS using a standard interface (VESA VBE).
It is only capable of doing whatever is implemented in the BIOS.

I'll update this report when there is a test version of 4.2.1 available.
I suspect it'll be sometime within the next month, probably sooner.

Comment 10 Mike A. Harris 2003-04-08 11:04:24 EDT
I haven't had time to do the backporting of support from 4.3.0 to 4.2.1
that I had hoped to be able to do.  Unfortunately, the 4.2.1 erratum will
not have support fot this hardware.

On the upside, Red Hat Linux 9 supports this card, and it should work in both
2D and 3D.

Closing as CURRENTRELEASE of Red Hat Linux 9.

It is still possible that some future erratum may have more things backported
for Red Hat Linux 8.0 also.

Note You need to log in before you can comment on or make changes to this bug.